Changeset 3388


Ignore:
Timestamp:
Mar 16, 2015, 3:25:27 AM (8 years ago)
Author:
Peter
Message:

document requirements in MergeIterator?. refs #803

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/yat/utility/MergeIterator.h

    r3387 r3388  
    4646     incremented, the iterator looks at next element in each range,
    4747     identifies the smallest element, and points at that.
     48
     49     Type Requirements:
     50     - Base is a \readable_iterator
     51     - Base is a \single_pass_iterator
     52     - Compare models
     53     <a href="http://www.sgi.com/tech/stl/StrictWeakOrdering.html">
     54     StrictWeakOrdering</a>
    4855
    4956     \since New in yat 0.11
Note: See TracChangeset for help on using the changeset viewer.